# frozen_string_literal: true

module EmailAction 
  class Postpone < Base

    def process(email)
      if date = Chronic.parse(action.argument)
        email.postponed_until = date
      else
        Rails.logger.warn "Skipped action##{action.id} '#{action.name}' - Unparsable argument for Chronic : '#{action.argument}'"
      end

      email
    end

  end
end
