# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: 'Star Wars' }, { name: 'Lord of the Rings' }])
#   Character.create(name: 'Luke', movie: movies.first)

User.create(
  email: "jlecour@evolix.fr",
  encrypted_password: Devise::Encryptor.digest(User, '123password')
)

rule_set = RuleSet.create(
  name: "CronMapping",
  enabled: true
)
Action.create({
  rule_set: rule_set,
  name: "CronMapping",
  class_name: "EmailAction::CronMapping",
  enabled: true
})

rule_set = RuleSet.create(
  name: "MailingListMapping",
  enabled: true
)
Action.create({
  rule_set: rule_set,
  name: "MailingListMapping",
  class_name: "EmailAction::MailingListMapping",
  enabled: true
})

rule_set = RuleSet.create(
  name: "MetadataMapping",
  enabled: true
)
Action.create({
  rule_set: rule_set,
  name: "MetadataMapping",
  class_name: "EmailAction::MetadataMapping",
  enabled: true
})
